ConversionServiceFactory (Spring Framework 3.2.1.RELEASE API)
Date: 2013-01-24

org.springframework.core.convert.support

## Class ConversionServiceFactory

- java.lang.Object
- - org.springframework.core.convert.support.ConversionServiceFactory

-     public abstract class ConversionServiceFactory
      extends Object

  A factory for common `ConversionService` configurations.
  Since:
    3.0
  Author:
    Keith Donald, Juergen Hoeller, Chris Beams

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConversionServiceFactory()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `addDefaultConverters(GenericConversionService conversionService)` Deprecated. in Spring 3.1 in favor of `DefaultConversionService.addDefaultConverters(ConverterRegistry)`
    `static GenericConversionService` | `createDefaultConversionService()` Deprecated. in Spring 3.1 in favor of `DefaultConversionService.DefaultConversionService()`
    `static void` | `registerConverters(Set<?> converters, ConverterRegistry registry)` Register the given Converter objects with the given target ConverterRegistry.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConversionServiceFactory

          public ConversionServiceFactory()

  - ### Method Detail

    - #### registerConverters

          public static void registerConverters(Set<?> converters,
                                ConverterRegistry registry)

      Register the given Converter objects with the given target ConverterRegistry.
      Parameters:
        `converters` - the converter objects: implementing `Converter`, `ConverterFactory`, or `GenericConverter`
        `registry` - the target registry

    - #### createDefaultConversionService

          @Deprecated
          public static GenericConversionService createDefaultConversionService()

      Deprecated. in Spring 3.1 in favor of `DefaultConversionService.DefaultConversionService()`
      Create a new default GenericConversionService instance that can be safely modified.

    - #### addDefaultConverters

          @Deprecated
          public static void addDefaultConverters(GenericConversionService conversionService)

      Deprecated. in Spring 3.1 in favor of `DefaultConversionService.addDefaultConverters(ConverterRegistry)`
      Populate the given GenericConversionService instance with the set of default converters.